Name:		cacti-spine
Version:	0.8.8c
Release:	1%{?dist}
Summary:	a backend data gatherer for cacti

Group:		system environment/daemons
License:	LGPL
URL:		http://www.cacti.net/
Source0:	http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	mysql-devel, net-snmp-devel
#Requires:	

%description
This code represents high speed poller replacement for cmd.php.
It has come quite a ways from it's initial development.  It is almost
100% compatible with the legacy cmd.php processor and provides much
more flexibility than cmd.php.

%prep
%setup -q


%build
%configure \
	--enable-shared \
	--with-mysql \
	--with-snmp=%{_prefix}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -D -m0755 spine $RPM_BUILD_ROOT%{_bindir}/spine
%{__install} -D -m0644 spine.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/cacti/spine.conf


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE* NEWS README*
%{_bindir}/spine
%config(noreplace) %{_sysconfdir}/cacti/spine.conf

%changelog
* Thu Nov 27 2014 momo-i <webmaster@momo-i.org> - 0.8.8c-1
- Update to 0.8.8c

* Wed Aug 14 2013 momo-i <webmaster@momo-i.org> - 0.8.8b-1
- Update to 0.8.8b.

* Mon May 28 2012 momo-i <webmaster@momo-i.org> 0.8.8a-1
- Update to 0.8.8a.

* Tue Apr 17 2012 momo-i <webmaster@momo-i.org> 0.8.8-3
- config file noreplace.

* Thu Apr 11 2012 momo-i <webmaster@momo-i.org> 0.8.8-1
- Initial rpm release.
